# pnmtorle

Updated: 07 March 2022
Table Of Contents

## NAME

pnmtorle - convert a Netpbm image file into an RLE image file.

## SYNOPSIS

pnmtorle [-header] [-verbose] [-alpha] [-outfile=outfile] [pnmfile]

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

## DESCRIPTION

This program is part of Netpbm.

This program converts Netpbm image files into Utah RLE image files. You can include a transparency mask. If the input is a multiple image file, the output consists of several concatenated RLE images.

pnmfile is the name of the Netpbm image input file. If you don't specify this argument, input is from Standard Input.

The RLE file will contain either a three channel color image (24 bits) or a single channel grayscale image (8 bits) depending upon the type of Netpbm input. If the Netpbm input is color, the RLE output is 3 channel 24 bit color. If the Netpbm input is grayscale or black and white, the RLE output is single channel grayscale.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), pnmtorle recognizes the following command line options:

-verbose
  This option will cause pnmtorle to operate in verbose mode. The program writes header information to Standard Error. Actually, there is not much header information stored in a Netpbm file, so this information is minimal.

  Before Netpbm 10.98 (March 2022), this option is just -v.

-header
  This option causes the program to dump the header of the Netpbm image to be Standard Error without converting the file. It is equivalent to using the -verbose option except that no file conversion takes place.

  Before Netpbm 10.98 (March 2022), this option is just -h.

-alpha
  This option causes pnmtorle to include a transparency channel in the output image. The transparency channel is based on the image: Wherever a pixel is black, the corresponding transparency value is transparent. Everywhere else, the transparency value is fully opaque.
-outfile outfile
  If you specify this option, pnmtorle writes the output to this file. If outfile is - or you don't specify -outfile, pnmtorle writes the output to Standard Output.

  Before Netpbm 10.98 (March 2022), this option is just -o.and must be separated from its value by a space, not an equal sign.

## EXAMPLES

       pnmtorle -verbose file.ppm -outfile=file.rle

While running in verbose mode, convert file.ppm to RLE format and store resulting data in file.rle.

       pnmtorle -header file.pgm

Dump the header information of the Netpbm file called file.pgm.

## SEE ALSO

rletopnm

## AUTHOR

    Wes Barris,
    Army High Performance Computing Research Center (AHPCRC)
    Minnesota Supercomputer Center, Inc.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- EXAMPLES
- SEE ALSO
- AUTHOR